Subject: Re: [PATCH] powermac: clean up PIC initialisation code

From: Johannes Berg <[email-masked]>
Date: Mon, 05 Feb 2007 09:58:51 +0100

On Mo, 2007-02-05 at 08:21 +0100, Johannes Berg wrote:
> On Mon, 2007-02-05 at 12:41 +1100, Benjamin Herrenschmidt wrote:
> 
> > Not fan of having an ifdef here... I'd rather have a pmac_pic_init()
> > that does the right thing, maybe in setup.c
> 
> Ok. From what I can tell it isn't necessary to call of_irq_map_init() on
> newer machines that have an IBM mpic2. So how about this?

Ignore for now, seems I broke something and I can't find what or why
right now.

johannes